unit HWALL;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,
  {$IFDEF VER90} //Delphi 2.0
  OLE2,
  {$ENDIF}
  Grammar, Speech, SR, TTS;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    SR1: TSR;
    Grammar1: TGrammar;
    TTS1: TTTS;
    procedure Grammar1PhraseFinishEvent(Sender: TObject; dwFlags: Integer;
      qTimeStampBegin, qTimeStampEnd: Comp; aPSRPhrase: PSRPHRASE;
      IUnknownResult: IUnknown);
    procedure FormActivate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormActivate(Sender: TObject);
begin
  TTS1.Active := True;
  Grammar1.Active := True;
end;

procedure TForm1.Grammar1PhraseFinishEvent(Sender: TObject;
  dwFlags: Integer; qTimeStampBegin, qTimeStampEnd: Comp;
  aPSRPhrase: PSRPHRASE; IUnknownResult: IUnknown);
begin
  if (ISRNOTEFIN_RECOGNIZED + ISRNOTEFIN_THISGRAMMAR) = dwFlags then
    TTS1.Speak(PhraseToString(aPSRPhrase));
end;

procedure TForm1.FormDeactivate(Sender: TObject);
begin
  TTS1.Active := False;
  Grammar1.Active := False;
end;

end.


